# Generated from null_plus-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name null_plus

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: +nil
License: MIT
URL: https://github.com/janlelis/null_plus
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
This gem redefines Ruby's unary + operator to turn null objects into nil. By
default, the unary + operator is not used by Ruby, so overloading it is not so
dangerous as it might have sounded to you when you read it. Every object that
returns true for null? is considered a null object.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/MIT-LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/null_plus.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.1-1
- Initial package
